%define anolis_release 2
%global pypi_name docopt

Name:           python-docopt
Version:        0.6.2
Release: %{anolis_release}%{dist}
Summary:        Pythonic argument parser, that will make you smile

License:        MIT
URL:            https://github.com/docopt/docopt
Source0:        %{url}/archive/%{version}/%{pypi_name}-%{version}.tar.gz

# pytest 6.2+ support
Patch1:         %{url}/pull/493.patch

BuildArch:      noarch

%description
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write thisstupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python%{python3_pkgversion}-%{pypi_name}}
BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python%{python3_pkgversion}-setuptools
BuildRequires:  python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{pypi_name}
Isn't it awesome how optparse and argparse generate help messages
based on your code?!

Hell no! You know what's awesome? It's when the option parser is
generated based on the beautiful help message that you write yourself!
This way you don't need to write thisstupid repeatable parser-code,
and instead can write only the help message--*the way you want it*.

Python 3 version.

%package -n python%{python3_pkgversion}-%{pypi_name}-doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{EVR}
BuildArch:      noarch

%description    -n python%{python3_pkgversion}-%{pypi_name}-doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -n %{pypi_name}-%{version}

# A stopgap measure to work with pytest 6.0.
# This will no longer work with pytest 6.1.
echo "[pytest]" >> tox.ini
echo "filterwarnings =" >> tox.ini
echo "    ignore::pytest.PytestDeprecationWarning" >> tox.ini

%build
%py3_build

%install
%py3_install
%generate_compatibility_deps

%check
py.test-%{python3_version} -v

%files -n python%{python3_pkgversion}-%{pypi_name}
%license LICENSE-MIT
%{python3_sitelib}/%{pypi_name}-*.egg-info/
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/__pycache__/%{pypi_name}.*

%files -n python%{python3_pkgversion}-%{pypi_name}-doc
%doc README.rst

%changelog
* Wed Mar 13 2024 mgb01105731 <mgb01105731@alibaba-inc.com> - 0.6.2-2
- Rebuild with python3.11

* Tue Apr 04 2023 Zhongling He <zhonglingh@linux.alibaba.com> - 0.6.2-1
- Init package from upstream
